import { DbTypeEnum } from "../data/enum/db-type.enum";
import { CodeAnnotationPositionEnum } from "../data/enum/code-annotation-position.enum";
/**
 * 格式化文本工具类
 * Created by ztt on 2019/10/19.
 */
export declare class FormatTextUtils {
    /**
     *
     * @param value
     * @returns {any}
     */
    static encryptedMobile(value: any): any;
    static sqlToJsModel(sqlStr: string, { dbType, codeAnnotationPosition }?: {
        dbType?: DbTypeEnum | undefined;
        codeAnnotationPosition?: CodeAnnotationPositionEnum | undefined;
    }): string[];
    static sqlToJavaEntity(sqlStr: string, { dbType, jpaAnnotation, codeAnnotationPosition }?: {
        dbType?: DbTypeEnum | undefined;
        jpaAnnotation?: boolean | undefined;
        codeAnnotationPosition?: CodeAnnotationPositionEnum | undefined;
    }): string[];
    static jsonToClassModel(json: any, { notes }?: {
        notes?: boolean | undefined;
    }): string[];
    static jsonToJavaModel(json: any, { notes }?: {
        notes?: boolean | undefined;
    }): string[];
}
