export declare class DataGeneratorUtils {
    /**
     * 中文姓名
     * @param size：姓名个数，默认为1个
     * @returns {any}
     */
    static personName({ size }?: {
        size?: number | undefined;
    }): any;
    /**
     * 手机号，生成一个时返回的是字母串，否则返回数组
     * @param size：手机号个数：默认一个
     */
    static mobile({ size }?: {
        size?: number | undefined;
    }): any;
    /**
     * 随即生成一组字母
     * @param size：字母组数量
     * @param upperCase：是否大写
     * @param length：每组字母个数
     * @returns {Array}
     */
    static letter({ size, upperCase, length }?: {
        size?: number | undefined;
        upperCase?: boolean | undefined;
        length?: number | undefined;
    }): Array<string> | string;
    /**
     * 从数组中随机获取一个元素
     * @param array
     * @returns {any}
     */
    static getElementByArray(array: Array<any>): any;
}
