import { MD5 } from "./window/encrypt/md5";
import { Base64 } from "./window/encrypt/base64";
import { ArrayUtils, ArrayModel } from "./data-type/array-utils";
import { TimeUtils } from "./data-type/time-utils";
import { StringUtils } from "./data-type/string-utils";
import { JsonUtils } from "./data-type/json-utils";
import { ObjectUtils } from "./data-type/object-utils";
import { RegexpUtils } from "./data-type/regexp-utils";
import { NumberUtils } from "./data-type/number-utils";
import { ValueUtils } from "./data-type/value-utils";
import { LogUtils } from "./common/log.utils";
import { AjaxUtils, AjaxCallback } from "./window/net/ajax-utils";
import { BrowserUtils } from "./window/browser.utils";
import { SessionStorageUtils } from "./common/session-storage.utils";
import { HighlightUtils } from "./common/highlight-utils";
import { DataTypeUtils } from './data-type/data-type-utils';
import { FormatTextUtils } from './common/format-text-utils';
import { CommonUtils } from './common/common.utils';
import { LuhnCheck } from './common/luhn-check';
/**
 * Created by zhaott on 2018/9/21.
 */
declare class JsUtilsApi {
    private name;
    constructor();
    static md5(str: string): string;
    static md5File(file: File | any): Promise<unknown>;
    static HTMLEncode(html: any): string;
    static HTMLDecode(text: any): string | null;
}
export { JsUtilsApi, HighlightUtils, DataTypeUtils, FormatTextUtils, CommonUtils, LuhnCheck, Base64, MD5, LogUtils, SessionStorageUtils, RegexpUtils, AjaxUtils, AjaxCallback, BrowserUtils, ArrayUtils, TimeUtils, StringUtils, JsonUtils, ArrayModel, ObjectUtils, NumberUtils, ValueUtils };
export * from './data/data.api';
