export declare class BrowserUtils {
    /**
     * 获取浏览器及版本信息
     */
    getBrowser(): {
        browser: string;
        version: any;
    };
    /**
     * 判断是否为IE
     */
    isIe(): boolean;
    /**
     * 是支持当前浏览器
     * @param version：支持的版本信息
     */
    isSupportBrowser(versionCfg?: {
        Chrome: number;
        '360': number;
    }): boolean | "";
}
export declare class BrowserModel {
    edge?: any;
    ie?: any;
    firefox?: any;
    chrome?: any;
    opera?: any;
    safari?: any;
    constructor(edge?: any, ie?: any, firefox?: any, chrome?: any, opera?: any, safari?: any);
    static version: {
        Chrome: number;
        '360': number;
    };
}
